# classes/phing/tasks/ext/phpunit/formatter/XMLPHPUnitResultFormatter.php

## \XMLPHPUnitResultFormatter
jump to top

Prints XML output of the test to a specified Writer

Extends from
  \PHPUnitResultFormatter
author
  Michiel Rook
package
  phing.tasks.ext.formatter
since
  2.1.0
version
  $Id: XMLPHPUnitResultFormatter.php 797 2010-06-24 14:36:36Z mrook $

### Properties

`\PHPUnit_Util_Log_JUnit $logger= 'NULL'`

Default value `NULL` Details

Type
  \PHPUnit_Util_Log_JUnit

### Methods

`__construct( $parentTask ) :`
Parameters

Name | Type | Description
--- | --- | ---
$parentTask |  |

`addError( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`addFailure( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`addIncompleteTest( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`endTest( $test, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$time |  |

`endTestRun( ) :`
`endTestSuite( $suite ) :`
Parameters

Name | Type | Description
--- | --- | ---
$suite |  |

`getExtension( ) :`
`getPreferredOutfile( ) :`
`startTest( $test ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |

`startTestSuite( $suite ) :`
Parameters

Name | Type | Description
--- | --- | ---
$suite |  |

Documentation was generated by DocBlox 0.13.1.